Bug 1393109 - Fedora 25 Final build of spin-kickstarts needed
Summary: Fedora 25 Final build of spin-kickstarts needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 25
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-11-08 21:25 UTC by Adam Williamson
Modified: 2016-11-18 08:23 UTC (History)
9 users (show)

Fixed In Version: spin-kickstarts-0.25.3-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-18 08:23:45 UTC


Attachments (Terms of Use)

Description Adam Williamson 2016-11-08 21:25:17 UTC
Per the Final criteria:

"A spin-kickstarts package which contains the exact kickstart files used to build the release must be present in the release repository. The included kickstarts must define the correct set of release repositories."

We need a build of spin-kickstarts which matches the current tip of the f25 branch of fedora-kickstarts - that is, 84cba7aaa0884ee313a5c318c3ed38d1df9c0ba5 . The latest package build is from August.

We also need a process for getting this package built so we don't have this last minute drill every damn release, but I'll file a separate bug for that.

Proposing as a release blocker, per that criterion. If anyone wants to talk about dropping the criterion (and possibly the package), I'm all ears.

Comment 1 Kevin Fenzi 2016-11-08 21:31:09 UTC
I'm making a build now... should be up in a few here. :)

Comment 2 Fedora Update System 2016-11-08 21:40:07 UTC
spin-kickstarts-0.25.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb6d53d558

Comment 3 Kevin Fenzi 2016-11-08 22:51:37 UTC
+1 blocker per critera. We may want to revisit this for f26.

Comment 4 Adam Miller 2016-11-08 23:00:01 UTC
+1 blocker

Comment 5 Adam Williamson 2016-11-08 23:01:33 UTC
That's +3, setting accepted (this is an obvious one).

Comment 6 Adam Williamson 2016-11-09 00:06:48 UTC
I verified the package contains the correct bits.

Comment 7 Fedora Update System 2016-11-09 02:27:59 UTC
spin-kickstarts-0.25.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb6d53d558

Comment 8 Adam Williamson 2016-11-09 09:06:53 UTC
back to verified. damnit, bodhi, stop this.

Comment 9 Adam Williamson 2016-11-14 19:48:40 UTC
Sending back to ASSIGNED as we'll need another build; spin-kickstarts has been changed again. I believe we'll be building RC3 from https://pagure.io/fedora-kickstarts/c/fc25b4542139361a20456c8375d8c6d45006e22d?branch=f25 , unless dgilmore knows otherwise. Dennis?

Comment 10 Fedora Update System 2016-11-14 20:35:58 UTC
spin-kickstarts-0.25.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e1f0daf1c

Comment 11 Fedora Update System 2016-11-15 13:28:02 UTC
spin-kickstarts-0.25.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e1f0daf1c

Comment 12 Adam Williamson 2016-11-17 00:14:19 UTC
Checked this, it's fine.

Comment 13 Fedora Update System 2016-11-18 08:23:45 UTC
spin-kickstarts-0.25.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.